> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an RFQ

> Delete an RFQ and all its associated line items.
    
    **Path Parameter:**
    - `rfq_id`: Can be either:
      - UUID (e.g., `620f45f6-8857-4757-8d69-ec789c86d135`)
      - Document ID (e.g., `vin-RFQ-0001`)
    
    **Examples:**
    - `DELETE /rfqs/620f45f6-8857-4757-8d69-ec789c86d135`
    - `DELETE /rfqs/vin-RFQ-0001`



## OpenAPI

````yaml /api/openapi-cutmake.json delete /rfqs/{rfq_id}
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /rfqs/{rfq_id}:
    delete:
      tags:
        - RFQs
      summary: Delete an RFQ
      description: |-
        Delete an RFQ and all its associated line items.
            
            **Path Parameter:**
            - `rfq_id`: Can be either:
              - UUID (e.g., `620f45f6-8857-4757-8d69-ec789c86d135`)
              - Document ID (e.g., `vin-RFQ-0001`)
            
            **Examples:**
            - `DELETE /rfqs/620f45f6-8857-4757-8d69-ec789c86d135`
            - `DELETE /rfqs/vin-RFQ-0001`
      operationId: delete_rfq_rfqs__rfq_id__delete
      parameters:
        - name: rfq_id
          in: path
          required: true
          schema:
            type: string
            title: Rfq Id
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````